commit:     1613754f22542bd829d81614d3b6716b1f42969a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 25 02:42:29 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Feb 25 03:25:57 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1613754f

dev-util/pixi: Bump to 0.64.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-util/pixi/Manifest           |   3 +
 dev-util/pixi/pixi-0.64.0.ebuild | 159 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 162 insertions(+)

diff --git a/dev-util/pixi/Manifest b/dev-util/pixi/Manifest
index f865683b81db..3c855a691588 100644
--- a/dev-util/pixi/Manifest
+++ b/dev-util/pixi/Manifest
@@ -1,8 +1,11 @@
 DIST http-range-client-fccfa852dbe7e875a50802c55ee6c5f69c634827.gh.tar.gz 
11500 BLAKE2B 
570b44192857ec52429eb695fe3b2e4e51bea70ba2f8c6017c88a4a5417ca3ccd93903ef4d3b33969a8ecca1b353caab6a623c45af0e044e6dabad56c4b2be83
 SHA512 
d7de966a52e08508267c93656a7fa96edc5fa35a0323253c52b15bfc8f52ac6882c425ad0fb037d69c315f0539eda310fd6b16f9c1fd0b4b50d69484ed663282
 DIST pixi-0.63.2-crates.tar.xz 73370048 BLAKE2B 
413f4735839b3770920a4e30cb4f27a000ec8b62cb98cdecd6f2cfa838512de794427894d572436fc32ac68e04a25a0a4b1b2645c2f871be227077fb9e25d7f2
 SHA512 
6b938aa6548a0a659829fe80f3021a7346f3d1667da9fe60c1b2d91e71b4366fb11ac85b59647c76875de4a61a37f8045d44f0b8a003d836ee9ff3ccf951f8f9
 DIST pixi-0.63.2.tar.gz 12174530 BLAKE2B 
5cbb262acdb257a8c00292e27186a182be6c6877e2f51824cb7909aa52e9dc0cdb0fa0c127ac7c008f621965074ba12ec7c04c3f3a77a77fcd2302c30452e8dd
 SHA512 
03cda4797edda04e16e99b10dc63d5b59c7a517b2ce4315a94451e0492f9e907afadc1641d8521078829064ff9fa17ff0840c78712033b49a7e8a764063b6649
+DIST pixi-0.64.0-crates.tar.xz 78182936 BLAKE2B 
bfa8a7d6fd0411a8749bae945701c7bfb5b98371756bb098cc3519816708fc8f9553f39845cd3f55a223b6b80eed09dc5078ca31140518c19fae85a1f45b7078
 SHA512 
72460dd72462c10f35cb2bd0143c1b32428e1e0b0a13c76a5a8b58488d712e3579aef7b6352134bd3b33eae81f6bc1403255a4fde48eabec2c1a0b00c50101fe
+DIST pixi-0.64.0.tar.gz 16984698 BLAKE2B 
48f69e42a9c4b47e7b00b2209c6cf1b0968f7c615f06b495fba0073aa45886fa3b684a2e181a492d23a7333b560ae6e1a1e648a13258dd66931b6dec3cd60294
 SHA512 
6b0ea7d95290b5859e77f51b95525d3088b6269459fe0180e15f0b4599f547b3588a2df48d4dec11ee5fda6793676f2c858a597dba23aa5a2ea48bc65a3f0d51
 DIST pubgrub-d8efd77673c9a90792da9da31b6c0da7ea8a324b.gh.tar.gz 100042 BLAKE2B 
cacdd77783aae1a94c3aaea56c2bd47b22f13ca34eddcef53b5d205244a213eff2934db03965532085c1aa6892b27bbbabfc19513f62936f8ac1faa466570dd4
 SHA512 
3a2a146fd9d9b458dced6563a1f5674e81e8ba36de11be5c189b0c76b6ede6f32957f48fb0978b97b0892768822c6c4c32c6870141e8fc1ea5d8b8f7d8b5b464
 DIST rattler-build-86ffb08d00b4a32dc45caaa3d545f58fa050e43f.gh.tar.gz 1282592 
BLAKE2B 
070ff4e013b187ec552a41aaf3d8529326669b8d781c85ec33393d887bf871c81dc7b57fe9a56c2776c1f7f05c7b758839e0b32d1143b5368defa0799b864d80
 SHA512 
f8c43535d4eadd9bca568158aab503ddb37a3e2efa76aca1e09285beae3d2e2767ff12ad94d23472cfed08d3f2e30c30a68baca14e92d2a475ee6754ccbf6b67
+DIST rattler-build-d144acdd068b00d9a6bac5fcbd418f34b796fdf9.gh.tar.gz 1540123 
BLAKE2B 
55a2a29df2c9e1144e1aa5f60b3e91e6726a43c20809b8cdeec38f3005e2fadeb8fa014bc983a800c3e61d82abfe04ac22180903f78c955d3abd10b4e86edb32
 SHA512 
e84ac281fd99c7bf648fe43b329834413ada01199caceba64c812e9bdd5ade8373fe6b485acadc52398d99f46b0b363c4c3c5bef6cb694323841c07be263464c
 DIST reqwest-middleware-7650ed76215a962a96d94a79be71c27bffde7ab2.gh.tar.gz 
42520 BLAKE2B 
ca415865947873f8b309f5b348a600677802fa8128a154b7c86d3e30bffece9df8606504073ddb688c5185e27866b5d7dc8a891e6d390ca075910a691e9bb2aa
 SHA512 
904fd652b0f3ecc90eee571d5488aba977dee643a1d6267e2fda264fa4c7b4bfcfacd4d5a23287dfb710ecc82d667479fcd0c48166259c2368df0e8b0c9d6707
 DIST rs-async-zip-285e48742b74ab109887d62e1ae79e7c15fd4878.gh.tar.gz 37003 
BLAKE2B 
c4aed18d82641ced2771ad8b8e800c45b1ded279e8ba1874ec9766907d042ae13b460beac739ced6e31c03a647e4238af96fb41e8c0dff4c5d4dd7f59c0ebbff
 SHA512 
d6dd699f43ca6e23a4c8abb8673b37d3983081a8c78545492ea3c1d0b35e3a491277c341df6dd64fb7efaec3b23eb479dede99e9b41016b5504d1a6dc9fbc617
 DIST tl-6e25b2ee2513d75385101a8ff9f591ef51f314ec.gh.tar.gz 37106 BLAKE2B 
c30d1c33f6f52e2bc83823eb6319f8a3e462b7c7408fb6a08f995747857ef234f81db4135a04f9d183095fe473a4087f8f0cb89d8f87ef4400285d2ce034ec22
 SHA512 
4abbc4240ed129c92da8d616e27a6df0f24cdc85a0803acfdae588ca91f9e5b8d482e3ac88b2e657ff68917b1b43cef1e7ef3c887f624659b231fa5a13fcae68

diff --git a/dev-util/pixi/pixi-0.64.0.ebuild b/dev-util/pixi/pixi-0.64.0.ebuild
new file mode 100644
index 000000000000..1ba84f322178
--- /dev/null
+++ b/dev-util/pixi/pixi-0.64.0.ebuild
@@ -0,0 +1,159 @@
+# Copyright 2025-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+RUST_MIN_VER="1.90.0"
+CRATES="
+"
+
+declare -A GIT_CRATES=(
+       
[async_zip]='https://github.com/astral-sh/rs-async-zip;285e48742b74ab109887d62e1ae79e7c15fd4878;rs-async-zip-%commit%'
+       
[http-range-client]='https://github.com/pka/http-range-client;fccfa852dbe7e875a50802c55ee6c5f69c634827;http-range-client-%commit%'
+       
[pubgrub]='https://github.com/astral-sh/pubgrub;d8efd77673c9a90792da9da31b6c0da7ea8a324b;pubgrub-%commit%'
+       
[rattler-build]='https://github.com/prefix-dev/rattler-build;d144acdd068b00d9a6bac5fcbd418f34b796fdf9;rattler-build-%commit%'
+       
[rattler_build_jinja]='https://github.com/prefix-dev/rattler-build;d144acdd068b00d9a6bac5fcbd418f34b796fdf9;rattler-build-%commit%/crates/rattler_build_jinja'
+       
[rattler_build_networking]='https://github.com/prefix-dev/rattler-build;d144acdd068b00d9a6bac5fcbd418f34b796fdf9;rattler-build-%commit%/crates/rattler_build_networking'
+       
[rattler_build_recipe]='https://github.com/prefix-dev/rattler-build;d144acdd068b00d9a6bac5fcbd418f34b796fdf9;rattler-build-%commit%/crates/rattler_build_recipe'
+       
[rattler_build_recipe_generator]='https://github.com/prefix-dev/rattler-build;d144acdd068b00d9a6bac5fcbd418f34b796fdf9;rattler-build-%commit%/crates/rattler_build_recipe_generator'
+       
[rattler_build_script]='https://github.com/prefix-dev/rattler-build;d144acdd068b00d9a6bac5fcbd418f34b796fdf9;rattler-build-%commit%/crates/rattler_build_script'
+       
[rattler_build_source_cache]='https://github.com/prefix-dev/rattler-build;d144acdd068b00d9a6bac5fcbd418f34b796fdf9;rattler-build-%commit%/crates/rattler_build_source_cache'
+       
[rattler_build_types]='https://github.com/prefix-dev/rattler-build;d144acdd068b00d9a6bac5fcbd418f34b796fdf9;rattler-build-%commit%/crates/rattler_build_types'
+       
[rattler_build_variant_config]='https://github.com/prefix-dev/rattler-build;d144acdd068b00d9a6bac5fcbd418f34b796fdf9;rattler-build-%commit%/crates/rattler_build_variant_config'
+       
[rattler_build_yaml_parser]='https://github.com/prefix-dev/rattler-build;d144acdd068b00d9a6bac5fcbd418f34b796fdf9;rattler-build-%commit%/crates/rattler_build_yaml_parser'
+       
[rattler_git]='https://github.com/prefix-dev/rattler-build;d144acdd068b00d9a6bac5fcbd418f34b796fdf9;rattler-build-%commit%/crates/rattler_git'
+       
[rattler_prefix_guard]='https://github.com/prefix-dev/rattler-build;d144acdd068b00d9a6bac5fcbd418f34b796fdf9;rattler-build-%commit%/crates/rattler_prefix_guard'
+       
[reqwest-middleware]='https://github.com/astral-sh/reqwest-middleware;7650ed76215a962a96d94a79be71c27bffde7ab2;reqwest-middleware-%commit%/reqwest-middleware'
+       
[reqwest-retry]='https://github.com/astral-sh/reqwest-middleware;7650ed76215a962a96d94a79be71c27bffde7ab2;reqwest-middleware-%commit%/reqwest-retry'
+       
[tl]='https://github.com/astral-sh/tl;6e25b2ee2513d75385101a8ff9f591ef51f314ec;tl-%commit%'
+       
[uv-auth]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-auth'
+       
[uv-build-backend]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-build-backend'
+       
[uv-build-frontend]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-build-frontend'
+       
[uv-cache-info]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-cache-info'
+       
[uv-cache-key]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-cache-key'
+       
[uv-cache]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-cache'
+       
[uv-client]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-client'
+       
[uv-configuration]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-configuration'
+       
[uv-console]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-console'
+       
[uv-dirs]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-dirs'
+       
[uv-dispatch]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-dispatch'
+       
[uv-distribution-filename]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-distribution-filename'
+       
[uv-distribution-types]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-distribution-types'
+       
[uv-distribution]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-distribution'
+       
[uv-extract]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-extract'
+       
[uv-flags]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-flags'
+       
[uv-fs]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-fs'
+       
[uv-git-types]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-git-types'
+       
[uv-git]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-git'
+       
[uv-globfilter]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-globfilter'
+       
[uv-install-wheel]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-install-wheel'
+       
[uv-installer]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-installer'
+       
[uv-keyring]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-keyring'
+       
[uv-macros]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-macros'
+       
[uv-metadata]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-metadata'
+       
[uv-normalize]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-normalize'
+       
[uv-once-map]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-once-map'
+       
[uv-options-metadata]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-options-metadata'
+       
[uv-pep440]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-pep440'
+       
[uv-pep508]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-pep508'
+       
[uv-platform-tags]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-platform-tags'
+       
[uv-platform]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-platform'
+       
[uv-preview]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-preview'
+       
[uv-pypi-types]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-pypi-types'
+       
[uv-python]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-python'
+       
[uv-redacted]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-redacted'
+       
[uv-requirements-txt]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-requirements-txt'
+       
[uv-requirements]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-requirements'
+       
[uv-resolver]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-resolver'
+       
[uv-scripts]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-scripts'
+       
[uv-settings]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-settings'
+       
[uv-shell]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-shell'
+       
[uv-small-str]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-small-str'
+       
[uv-state]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-state'
+       
[uv-static]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-static'
+       
[uv-torch]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-torch'
+       
[uv-trampoline-builder]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-trampoline-builder'
+       
[uv-types]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-types'
+       
[uv-version]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-version'
+       
[uv-virtualenv]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-virtualenv'
+       
[uv-warnings]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-warnings'
+       
[uv-workspace]='https://github.com/astral-sh/uv;d5f39331a73d5042e70ab770463dff632e20c127;uv-%commit%/crates/uv-workspace'
+       
[version-ranges]='https://github.com/astral-sh/pubgrub;d8efd77673c9a90792da9da31b6c0da7ea8a324b;pubgrub-%commit%/version-ranges'
+)
+
+inherit cargo
+
+CRATE_P=${P}
+DESCRIPTION="A package management and workflow tool"
+HOMEPAGE="
+       https://pixi.prefix.dev/
+       https://github.com/prefix-dev/pixi/
+"
+SRC_URI="
+       
https://github.com/prefix-dev/pixi/releases/download/v${PV}/source.tar.gz
+               -> ${P}.tar.gz
+       ${CARGO_CRATE_URIS}
+       
https://github.com/gentoo-crate-dist/pixi/releases/download/v${PV}/${P}-crates.tar.xz
+"
+
+LICENSE="BSD"
+# Dependent crate licenses
+LICENSE+="
+       0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD Boost-1.0
+       CC0-1.0 CDLA-Permissive-2.0 ISC MIT MPL-2.0 openssl Unicode-3.0 ZLIB
+       BZIP2
+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+rustls"
+
+RDEPEND="
+       app-arch/bzip2:=
+       app-arch/xz-utils:=
+       app-arch/zstd:=
+       !rustls? ( dev-libs/openssl:= )
+"
+
+src_prepare() {
+       default
+
+       # replace upstream crate substitution with our crate substitution, sigh
+       local pkg
+       for pkg in reqwest-middleware reqwest-retry version-ranges; do
+               local dep=$(grep "^${pkg}" "${ECARGO_HOME}"/config.toml || die)
+               sed -i -e "/\[patch\.crates-io\]/,\$s;^${pkg}.*$;${dep};" 
Cargo.toml || die
+       done
+
+}
+
+src_configure() {
+       local myfeatures=(
+               $(usex rustls rustls-tls native-tls)
+       )
+       cargo_src_configure --no-default-features
+
+       export ZSTD_SYS_USE_PKG_CONFIG=1
+
+       # bzip2-sys requires a pkg-config file
+       # https://github.com/alexcrichton/bzip2-rs/issues/104
+       mkdir "${T}/pkg-config" || die
+       export 
PKG_CONFIG_PATH=${T}/pkg-config${PKG_CONFIG_PATH+:${PKG_CONFIG_PATH}}
+       cat >> "${T}/pkg-config/bzip2.pc" <<-EOF || die
+               Name: bzip2
+               Version: 9999
+               Description:
+               Libs: -lbz2
+       EOF
+}
+
+src_test() {
+       # tests use it to test preserving envvars, apparently assuming
+       # it will be always set
+       local -x USER=${USER}
+       cargo_src_test --no-fail-fast
+}
+
+src_install() {
+       cd crates/pixi || die
+       cargo_src_install
+}

Reply via email to